You are currently not logged in. Login

ASCE in MoD

Both ASCE version 4.1 and version 3.5 are approved for use on MOD DII systems.

If you are an MoD user on version 3.5 you should be able to request an upgrade to 4.1.

You should contact your license manager directly for licence keys, or contact ASCE support if you are not sure who this is.